VkDescriptorSetLayoutCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkDescriptorSetLayoutCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkDescriptorSetLayoutCreateFlags | flags
uint32_t | bindingCount
const VkDescriptorSetLayoutBinding * | pBindings

## Detailed Description

Definition at line 2174 of file vulkan.h.

## Field Documentation

## bindingCount

uint32_t VkDescriptorSetLayoutCreateInfo::bindingCount

Definition at line 2178 of file vulkan.h.

## flags

VkDescriptorSetLayoutCreateFlags VkDescriptorSetLayoutCreateInfo::flags

Definition at line 2177 of file vulkan.h.

## pBindings

const VkDescriptorSetLayoutBinding* VkDescriptorSetLayoutCreateInfo::pBindings

Definition at line 2179 of file vulkan.h.

## pNext

const void* VkDescriptorSetLayoutCreateInfo::pNext

Definition at line 2176 of file vulkan.h.

## sType

VkStructureType VkDescriptorSetLayoutCreateInfo::sType

Definition at line 2175 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h